@echo off
if not %1!==! goto start
echo Usage: GenFont size1 size2 encoding FontName
goto end
:start
set s1=%1
set s2=%2
set enc=%3
set encOpt=-palmLatin0
shift
shift
shift
set f=%1
:top
shift
if %1!==! goto ok
set f=%f% %1
goto top
:ok
set g=%f%
rem set f=Larabie %g%

rem eReader Pro
set d=eReaderPro fonts
set e=eR
echo Generating "%d%/%f% %e% %s1%pt.pdb"
if not exist "%d%" mkdir "%d%"
mkdir "__tempDir__"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -E- -e- "winfont://%g%:0:400:%enc%" %s1%pt > "__tempDir__\1.fonttext"
echo grayHeader GrFn7d00 GrFn-%f% %e% %s1%pt >> "__tempDir__\1.fonttext"
bin\fontconv >NUL  "__tempDir__/1.fonttext" l "__tempDir__/afnx7d00.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -E- -e- -g "winfont://%g%:0:400:%enc%" %s1%pt > "__tempDir__\1.gray"
bin\togray -a -3 "-W__tempDir__/" -#7d00 GrFn7d00 "__tempDir__/1.gray" GU34
bin\topalmtext %encOpt% -f- -e- -B -E -n- -E- -e- "winfont://%g%:0:700:%enc%" %s1%pt > "__tempDir__\2.fonttext"
echo grayHeader GrFn7d01 GrFn-%f% %e% %s1%pt >> "__tempDir__\2.fonttext"
bin\fontconv >NUL  "__tempDir__/2.fonttext" l "__tempDir__/afnx7d01.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -E- -e- -g "winfont://%g%:0:700:%enc%" %s1%pt > "__tempDir__\2.gray"
bin\togray -a -3 "-W__tempDir__/" -#7d10 GrFn7d01 "__tempDir__/2.gray" GU34
bin\toprc "%d%/%f% %e% %s1%pt.pdb-resources.prc" "GrFn-%f% %e% %s1%pt" Font GrFn "__tempDir__/GrFn7D00.bin" "__tempDir__/GrFn7D01.bin" "__tempDir__/GU347D00.bin" "__tempDir__/GU347D10.bin"
bin\toprc -d "%d%/%f% %e% %s1%pt.pdb" "%f% %e% %s1%pt" Font Font "__tempDir__/afnx7d00.binf" "__tempDir__/afnx7d01.binf"
del "__tempDir__\1.fonttext"
del "__tempDir__\1.gray"
del "__tempDir__\2.fonttext"
del "__tempDir__\2.gray"
del "__tempDir__\afnx7d00.binf"
del "__tempDir__\afnx7d01.binf"
del "__tempDir__\GrFn7D00.bin"
del "__tempDir__\GrFn7D01.bin"
del "__tempDir__\GU347D00.bin"
del "__tempDir__\GU347D10.bin"

rmdir "__tempDir__"
echo Created "%d%/%f% %e% %s1%pt.pdb"

rem FontHackV
set d=FontHackV fonts
set e=FHV
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.half"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn22b8 "%d%/%f% %e% %s1%pt.prc_tempDir/1.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf22b8.bin"
echo "%f% %e% %s1%pt generated by EasyConvert.tcl" > "%d%/%f% %e% %s1%pt.prc_tempDir/tSTR2328.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" Font fHKv "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf22b8.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn22B8.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/tSTR2328.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx22b8.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx22b8.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf22b8.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn22B8.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\tSTR2328.bin"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"

rem FontHackV
set d=FontHackV fonts
set e=bd FHV
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:700:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:700:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.half"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:700:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn22b8 "%d%/%f% %e% %s1%pt.prc_tempDir/1.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:700:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf22b8.bin"
echo "%f% %e% %s1%pt generated by EasyConvert.tcl" > "%d%/%f% %e% %s1%pt.prc_tempDir/tSTR2328.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" Font fHKv "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf22b8.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn22B8.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/tSTR2328.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx22b8.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx22b8.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf22b8.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn22B8.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\tSTR2328.bin"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"

rem FontHackV
set d=FontHackV fonts
set e=it FHV
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.half"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn22b8 "%d%/%f% %e% %s1%pt.prc_tempDir/1.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake"
echo grayHeader GrFn22b8 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/1.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf22b8.bin"
echo "%f% %e% %s1%pt generated by EasyConvert.tcl" > "%d%/%f% %e% %s1%pt.prc_tempDir/tSTR2328.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" Font fHKv "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf22b8.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn22B8.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/tSTR2328.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx22b8.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\1.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx22b8.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx22b8.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf22b8.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn22B8.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\tSTR2328.bin"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"

rem FontSmoother
set d=FontSmoother fonts
set e=F5
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn7d00 "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d10 GrFn7d01 "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d20 GrFn7d02 "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
echo grayHeader GrFn7d03 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
echo grayHeader GrFn7d03 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d30 GrFn7d03 "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
echo grayHeader GrFn7d03 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d03.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" Font FOS5 "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d03.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D03.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D10.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D20.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D30.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d00.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d00.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d01.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d01.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d02.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d02.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d03.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d03.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d03.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D03.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D10.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D20.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D30.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.half"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"

rem FontSubst
set d=FontSubst fonts
set e=FS
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn7d00 "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d10 GrFn7d01 "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:900:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d20 GrFn7d02 "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
echo grayHeader GrFn7d07 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
echo grayHeader GrFn7d07 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d30 GrFn7d07 "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
echo grayHeader GrFn7d07 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d07.bin"
bin\echonul "%f% %e% %s1%pt" > "%d%/%f% %e% %s1%pt.prc_tempDir/tAIN0000.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" fmod FSub "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d07.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D07.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D10.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D20.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D30.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/tAIN0000.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0000.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0000.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0001.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0001.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0002.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0002.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0007.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0007.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d07.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D07.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D10.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D20.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D30.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\tAIN0000.bin"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"

rem FontSmoother
set d=FontSmoother fonts
set e=ib F5
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn7d00 "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d10 GrFn7d01 "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d20 GrFn7d02 "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
echo grayHeader GrFn7d03 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
echo grayHeader GrFn7d03 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d30 GrFn7d03 "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
echo grayHeader GrFn7d03 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d03.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" Font FOS5 "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d03.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D03.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D10.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D20.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D30.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d00.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d01.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d02.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx7d03.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d00.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d00.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d01.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d01.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d02.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d02.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d03.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx7d03.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d03.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D03.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D10.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D20.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D30.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.half"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"

rem FontSubst
set d=FontSubst fonts
set e=ib FS
echo Generating "%d%/%f% %e% %s1%pt.prc"
if not exist "%d%" mkdir "%d%"
mkdir "%d%\%f% %e% %s1%pt.prc_tempDir"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d00 GrFn7d00 "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
echo grayHeader GrFn7d00 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/stdFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d10 GrFn7d01 "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:255:400:%enc%" %s1%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
echo grayHeader GrFn7d01 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/boldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d20 GrFn7d02 "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
echo grayHeader GrFn7d02 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
echo grayHeader GrFn7d07 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
echo grayHeader GrFn7d07 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.half" -h L "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.b"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fonttext" -i "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.b" 2a "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray"
bin\togray -a -3 "-W%d%/%f% %e% %s1%pt.prc_tempDir/" -#7d30 GrFn7d07 "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:900:%enc%" %s2%pt > "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
echo grayHeader GrFn7d07 %f% %e% %s1%pt >> "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake"
bin\fontconv >NUL  "%d%/%f% %e% %s1%pt.prc_tempDir/largeBoldFont.fake" -f La "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d07.bin"
bin\echonul "%f% %e% %s1%pt" > "%d%/%f% %e% %s1%pt.prc_tempDir/tAIN0000.bin"
bin\toprc "%d%/%f% %e% %s1%pt.prc" "%f% %e% %s1%pt" fmod FSub "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFf7d07.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D01.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D02.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GrFn7D07.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D00.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D10.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D20.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/GU347D30.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/tAIN0000.bin" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0000.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0001.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0002.binf" "%d%/%f% %e% %s1%pt.prc_tempDir/afnx0007.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0000.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0000.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0001.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0001.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0002.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0002.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0007.b"
del "%d%\%f% %e% %s1%pt.prc_tempDir\afnx0007.binf"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\boldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFf7d07.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D01.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D02.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GrFn7D07.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D00.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D10.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D20.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\GU347D30.bin"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeBoldFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\largeFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fake"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.fonttext"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.gray"
del "%d%\%f% %e% %s1%pt.prc_tempDir\stdFont.half"
del "%d%\%f% %e% %s1%pt.prc_tempDir\tAIN0000.bin"

rmdir "%d%\%f% %e% %s1%pt.prc_tempDir"
echo Created "%d%/%f% %e% %s1%pt.prc"




rem MobiPocket
set d=MobiPocket fonts
set e=MP
echo Generating "%d%/%f% %e% %s1%pt.pdb"
if not exist "%d%" mkdir "%d%"
mkdir "__tempDir__"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:400:%enc%" %s1%pt > "__tempDir__\1.fonttext"
echo grayHeader GrFn7d00 GrFn-%f% %e% %s1%pt >> "__tempDir__\1.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:400:%enc%" %s1%pt > "__tempDir__\1.half"
echo grayHeader GrFn7d00 GrFn-%f% %e% %s1%pt >> "__tempDir__\1.half"
bin\fontconv >NUL  "__tempDir__/1.half" -h L "__tempDir__/afnx7d00.b"
bin\fontconv >NUL  "__tempDir__/1.fonttext" -i "__tempDir__/afnx7d00.b" 2 "__tempDir__/afnx7d00.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:400:%enc%" %s1%pt > "__tempDir__\1.gray"
bin\togray -a -3 "-W__tempDir__/" -#7d00 GrFn7d00 "__tempDir__/1.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:400:%enc%" %s1%pt > "__tempDir__\1.fake"
echo grayHeader GrFn7d00 GrFn-%f% %e% %s1%pt >> "__tempDir__\1.fake"
bin\fontconv >NUL  "__tempDir__/1.fake" -f L "__tempDir__/GrFf7d00.bin"
bin\topalmtext %encOpt% -f- -e- -B -E -n- "winfont://%g%:0:700:%enc%" %s1%pt > "__tempDir__\2.fonttext"
echo grayHeader GrFn7d01 GrFn-%f% %e% %s1%pt >> "__tempDir__\2.fonttext"
bin\topalmtext %encOpt% -f- -e- -B -E -n- -H "winfont://%g%:0:700:%enc%" %s1%pt > "__tempDir__\2.half"
echo grayHeader GrFn7d01 GrFn-%f% %e% %s1%pt >> "__tempDir__\2.half"
bin\fontconv >NUL  "__tempDir__/2.half" -h L "__tempDir__/afnx7d01.b"
bin\fontconv >NUL  "__tempDir__/2.fonttext" -i "__tempDir__/afnx7d01.b" 2 "__tempDir__/afnx7d01.binf"
bin\topalmtext %encOpt% -f- -e- -E- -n- -g "winfont://%g%:0:700:%enc%" %s1%pt > "__tempDir__\2.gray"
bin\togray -a -3 "-W__tempDir__/" -#7d10 GrFn7d01 "__tempDir__/2.gray" GU34
bin\topalmtext %encOpt% -f- -e- -E- -n- -B "winfont://%g%:0:700:%enc%" %s1%pt > "__tempDir__\2.fake"
echo grayHeader GrFn7d01 GrFn-%f% %e% %s1%pt >> "__tempDir__\2.fake"
bin\fontconv >NUL  "__tempDir__/2.fake" -f L "__tempDir__/GrFf7d01.bin"
bin\toprc "%d%/%f% %e% %s1%pt.pdb-resources.prc" "GrFn-%f% %e% %s1%pt" Font GrFn "__tempDir__/GrFf7d00.bin" "__tempDir__/GrFf7d01.bin" "__tempDir__/GrFn7D00.bin" "__tempDir__/GrFn7D01.bin" "__tempDir__/GU347D00.bin" "__tempDir__/GU347D10.bin"
bin\toprc -d "%d%/%f% %e% %s1%pt.pdb" "%f% %e% %s1%pt" Font Font "__tempDir__/afnx7d00.binf" "__tempDir__/afnx7d01.binf"
del "__tempDir__\1.fake"
del "__tempDir__\1.fonttext"
del "__tempDir__\1.gray"
del "__tempDir__\1.half"
del "__tempDir__\2.fake"
del "__tempDir__\2.fonttext"
del "__tempDir__\2.gray"
del "__tempDir__\2.half"
del "__tempDir__\afnx7d00.b"
del "__tempDir__\afnx7d00.binf"
del "__tempDir__\afnx7d01.b"
del "__tempDir__\afnx7d01.binf"
del "__tempDir__\GrFf7d00.bin"
del "__tempDir__\GrFf7d01.bin"
del "__tempDir__\GrFn7D00.bin"
del "__tempDir__\GrFn7D01.bin"
del "__tempDir__\GU347D00.bin"
del "__tempDir__\GU347D10.bin"

rmdir "__tempDir__"
echo Created "%d%/%f% %e% %s1%pt.pdb"


:end
set s1=
set s2=
set enc=
set f=
set g=
set d=
set e=

